unit rkRichEditor;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, rkCustomRichEditor;

type

  { TfrRichEditor }

  TfrRichEditor = class(TfrCustomRichEditor)
  private
  public
    constructor Create(TheOwner: TComponent); override;
  end;

implementation

uses RichMemo;

{$R *.lfm}

{ TfrRichEditor }

constructor TfrRichEditor.Create(TheOwner: TComponent);
begin
  inherited Create(TheOwner);
  FRichEdit := TRichMemo.Create(Self);
  with FRichEdit do
  begin
    Parent := pnlEditor;
    Align := alClient;
    {$IFDEF UNIX}
    Cursor := crIBeam;
    {$ENDIF}
  end;
end;

initialization
  RegisterClass(TfrRichEditor);

end.

